## org.eclipse.datatools.enablement.mysql.catalog.loaders
Class MySqlSchemaLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
              org.eclipse.datatools.enablement.mysql.catalog.loaders.MySqlSchemaLoader

    public class MySqlSchemaLoader

extends JDBCSchemaLoader

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
`COLUMN_TABLE_CATALOG, COLUMN_TABLE_SCHEM`

Constructor Summary
`MySqlSchemaLoader()`

Method Summary
`void` `loadSchemas(java.util.List containmentList, java.util.Collection existingSchemas)` Loads the "schema" objects from the database.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
`clearSchemas, loadSchemas`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySqlSchemaLoader

    public MySqlSchemaLoader()

Method Detail

### loadSchemas

    public void loadSchemas(java.util.List containmentList,
                            java.util.Collection existingSchemas)
                     throws java.sql.SQLException

  Description copied from class: `JDBCSchemaLoader`
  Loads the "schema" objects from the database. This method uses the result set from createResultSet() to load the "schema" objects from the server. This method first checks the name of the "schema" to determine whether or not it should be filtered. If it is not filtered, it checks to see if an object with that name was loaded previously. If it finds an existing object, it refreshes that object and adds it to the containment list. If the named object does not exist, the result set is passed to processRow(). Schema objects are created using the factory method, createSchema() and initialized through the initialize() method. This method should only be overridden as a last resort when the desired behavior cannot be acheived by overriding createResultSet(), closeResultSet(), processRow(), createSchema() and initialize().

  Overrides:
    `loadSchemas` in class `JDBCSchemaLoader`
  Parameters:
    `containmentList` - the containment list held by parent
    `existingSchemas` - the catalog objects which were previously loaded
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.